Bug 575920 - [abrt] crash in gnuplot-4.2.6-1.fc12: Process /usr/bin/gnuplot-wx was killed by signal 11 (SIGSEGV)
[abrt] crash in gnuplot-4.2.6-1.fc12: Process /usr/bin/gnuplot-wx was killed ...
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gnuplot (Show other bugs)
12
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ivana Varekova
Fedora Extras Quality Assurance
abrt_hash:60a69e672672ba9a1de201906a2...
:
: 552655 560233 595190 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-22 14:12 EDT by saulo
Modified: 2010-11-24 10:04 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-24 10:04:27 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (10.24 KB, text/plain)
2010-03-22 14:12 EDT, saulo
no flags Details

  None (edit)
Description saulo 2010-03-22 14:12:00 EDT
abrt 1.0.8 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: gnuplot out/nucmer//OUT_nucmer_wm276_CBS7750/nucmer_wm276_CBS7750_filterR.gp
component: gnuplot
executable: /usr/bin/gnuplot-wx
kernel: 2.6.31.12-174.2.22.fc12.x86_64
package: gnuplot-4.2.6-1.fc12
rating: 4
reason: Process /usr/bin/gnuplot-wx was killed by signal 11 (SIGSEGV)
release: Fedora release 12 (Constantine)
Comment 1 saulo 2010-03-22 14:12:03 EDT
Created attachment 401838 [details]
File: backtrace
Comment 2 Ivana Varekova 2010-03-26 05:39:50 EDT
*** Bug 560233 has been marked as a duplicate of this bug. ***
Comment 3 Ivana Varekova 2010-03-26 05:54:30 EDT
Can you reproduce it with gnuplot-4.4.0-1.fc14?
Comment 4 Ivana Varekova 2010-03-26 05:55:51 EDT
*** Bug 552655 has been marked as a duplicate of this bug. ***
Comment 5 Xion Luhnis 2010-03-31 15:07:34 EDT

How to reproduce
-----
1. Start qtoctave
2. Load 1M jpg image
3. Try to display it with imshow()


Comment
-----
Took long to render the picture.
So I closed the window... and it crashed !
Comment 6 Ivana Varekova 2010-04-01 07:30:44 EDT
Hello, I try to reproduce the bug using the steps from comment 5 but I was unsuccessful, so could you test whether you can reproduce the bug with arbitrary >1M file?
Comment 7 Xion Luhnis 2010-04-01 21:11:05 EDT
Hi,
actually, I tried again, and this isn't the way the bug occurs.
Actually, when I have a big picture (like 2000x3000 px), then I takes a LONG time before rendering. However it does correctly. There is no problem as long as you don't try to stop the rendering process (which was the event which lead to my crash).

Anyway, trying to close a currently rendering window should lead to any kind of crash. I know there is a button for aborting in a better way those kinds of long process (the one with a red cross on qtoctave, like a "stop").
However, it should be enough to close the window, shouldn't it ?
Comment 8 Ivana Varekova 2010-05-24 02:46:56 EDT
*** Bug 595190 has been marked as a duplicate of this bug. ***
Comment 9 Ivana Varekova 2010-10-05 09:26:33 EDT
Hello, 
I try to reproduce this bug but again without the success. Either in qtoctave or directly in octave using 1M picture which I load and then display using imshow and before the picture is shown I close the window. Everything works ok.
Please does anybody have the problem with gnuplot-4.4.0 or higher?
Comment 10 Bug Zapper 2010-11-03 14:53:29 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 11 Ivana Varekova 2010-11-24 10:04:27 EST
Closing this bug because of insufficient data.

Note You need to log in before you can comment on or make changes to this bug.